return function(page, offset, screen_width, screen_height)
    local percent = offset/page.width
    local rr = 0.8
    local er = 0.1
    local ep, sp, dy

    page.layer.x = page.layer.x + offset

	if( percent < 0 ) then
        if( percent < -er ) then
    		do
        		ep = er
        		sp = 1-((percent+er)/(1-er)) * 6
        		dy = (1-sp) * page.height / 4
	    	end
	    else
	    	do
	    		ep = -percent
        		sp = 1
        		dy = 0
        	end
	    end
    else
        if( percent < er ) then
        	do
        		ep = percent
        		sp = 1
        		dy = 0
        	end
        else
        	do
        		ep = er
        		sp = 1-((percent-er)/(1-er))
        		dy = (1-sp) * page.height / 4
	        end
        end
    end
	page:scale(sp)
	page.layer.y = page.layer.y - dy
    page:rotate(ep*rr*math.pi/2/er, 1, 0, 0)
end
